<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title> El mejor proyecto2 C.A.M</title>
    <link href="https://fonts.googleapis.com/css2?family=Balsamiq+Sans:ital,wght@0,700;1,400;1,700&family=Open+Sans:ital,wght@0,400;0,700;1,600&display=swap" rel="stylesheet">
    {% load static %}
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">

    {% block css %}
    {% endblock %}
    <link rel="stylesheet" href="{% static 'app/css/estilos.css' %}">
    
</head>
<body>

    
    <header id="header">
        <img class="menu" src="{% static 'app/img/logoCamion.png' %}" alt="menu" id="menu">
        <div class="contenedor_logo">
            <img  class="logo"  src="{% static 'app/img/logoCamion.png' %}" alt="logo">
        </div>

        <div>
            
            <nav id="nav">
                <ul>
                    <li>
                        <a href="{% url 'home' %}"> Inicio </a>
                    </li>
                    <li>
                        <a href="{% url 'contacto' %}">Contacto</a>
                    </li>
                    <li><a href="{% url 'galeria' %}">Galería</a></li>
                    {% if perms.app.add_producto %}
                    
                    <li>
                        <a href="{% url 'agregar_producto' %}">Agregar Producto</a>
                    </li>
                    {% endif %}
                    {% if perms.app.view_producto %}
                    <li>
                        <a href="{% url 'listar_productos' %}">Listar Productos</a>
                    </li>
                    {% endif %}
                    {% if user.is_authenticated %}
                    <li>
                        <a href="{% url 'logout' %}">Cerra sesion</a>
                    </li>
                    <li>
                        <a href="#">@{{ user.username }}</a>
                    </li>
                    {% else %}
                    <li>
                        <a href="{% url 'login' %}">Iniciar sesion</a>
                    </li>
                    <li>
                        <a href="{% url 'registro'%}">resgistrate</a>
                    </li>

                    {% endif %}
                </ul>
            </nav>

        </div>

    </header>

    <div id="contenido">

        
        
        
        {% block contenido %}
        {% endblock %}

    </div>


    <footer>
       
        <div class="logo_footer">
            <img src="{% static 'app/img/logoCamion.png' %}" alt="logo">
            <br>
            <h2>Con despacho a todo chile</h2> 
                <br>
                <div class="btn-whatsapp">
                    <a href="https://api.whatsapp.com/send?phone=+56951036523" target="_blank">
                    <img src="http://s2.accesoperu.com/logos/btn_whatsapp.png" alt="">
                    </a>
                    </div>
            </h2>
        </div>
    </footer>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
    
    <script src="{% static 'js/menu.js' %}"></script>

    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@10"></script>

    {% if messages %}
        {% for m in messages %}
            <script>
              Swal.fire({
                  "title": "Felicitaciones",
                  "text": "{{m}}",
                  "icon": "success"
              })  
            </script>
        {% endfor %}
    {% endif %}  
    
    {% block js %}
    {% endblock %}
</body>

</html>